.main-slider-wrapper{
  display: flex;
  margin: 20px auto;
  width: 100%;
}
.main-slider {
  background-color: #fff;
  border: 0;
  box-shadow: 0 48px 96px -32px rgba(0, 0, 0, 0.1);
  height: 100%;
  overflow: hidden;
  position: relative;
  width: 100%;
  max-width: calc(100%* 2 / 3);
  aspect-ratio: 2.45 / 1;
  border-radius: 20px;
  margin-right: 20px;
}
.main-slider-wrapper[data-without-promotions] .main-slider.first-main-block__slider {
  max-width: 100%;
  margin-right: 0;
}
.main-slider.main-slider-stub {
  background-color: #e5eaec33;
}
.main-slider-init {
  height: 100%;
}
.main-slider-init.slick-dotted.slick-slider{
  margin-bottom: 0;
}
.main-slider__item {
  background-position: 90%;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  opacity: 1;
  position: relative;
  transition: 0.25s opacity;
  visibility: visible;
  height: 100%;
  width: 100%;
}
.main-slider__item.lazy-load-block-slick {
  opacity: 0;
  transition: 0.3s all;
  visibility: hidden;
}
.main-slider__wrap {
  font-size: 3rem;
  left: 50%;
  line-height: 1;
  margin: 0 auto;
  max-width: 1600px;
  padding: 0 60px;
  position: absolute;
  top: 40%;
  transform: translateX(-50%);
  width: 100%;
  z-index: 2;
}
.main-slider__item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 2.45 / 1;
}
.main-slider__item picture {
  height: 100%;
  width: 100%;
}
.main-slider__title {
  color: #fff;
  font-size: 3rem;
  font-weight: bold;
  line-height: 1;
  text-align: center;
  margin-bottom: 60px;
}
.main-slider__text-wrap {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}
.main-slider .link-button {
  flex-shrink: 0;
  margin-right: 50px;
  max-width: 130px;
}
.main-slider__text {
  font-size: 48px;
  margin: 0;
  white-space: nowrap;
}
.main-slider .slick-slide{
  line-height: 0;
}
.first-main-block__slider .custom-slick-white-circle-arrow {
  top: initial;
  bottom: 20px;
  transform: none;
}
.first-main-block__slider .custom-slick-white-circle-arrow--prev {
  left: 20px;
}
.first-main-block__slider .custom-slick-white-circle-arrow--next {
  right: 20px;
}
.main-slider__item picture.darkly::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 1;
  display: block;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.45);
}

.main-slider .slick-list,
.main-slider .slick-track,
.main-slider .slick-slide,
.main-slider .slick-slide > div:not([class]){
  height: inherit;
}

@media (max-width: 1024px){
  .main-slider-wrapper{
    flex-direction: column;
    gap: 10px;
  }
  .main-slider{
    max-width: 100%;
    margin: 0;
  }
}
@media (max-width: 970px) {
  .main-slider-wrapper.wrapper{
    padding-right: 20px;
    padding-left: 20px;
  }
  .main-slider {
    border: 0;
    border-bottom: 1px solid #e5eaec;
  }
  .main-slider__text {
    font-size: 24px;
    text-align: center;
    width: 100%;
  }
  .main-slider .link-button {
    display: none;
  }
  .main-slider__link {
    height: 85%;
    position: absolute;
    width: 100%;
  }
}
@media (max-width: 767px){
  .main-slider-wrapper{
    flex-direction: column;
  }
  .main-slider{
    max-width: 100%;
    margin: 0;
    border-radius: 10px;
  }
  .main-slider {
    aspect-ratio: 1.75 / 1;
  }
}
@media (max-width: 576px) {
  .main-slider__title {
    display: block;
    font-size: 1.8rem;
    line-height: 2.2rem;
  }
  .main-slider {
    border: 0;
    border-bottom: 1px solid #e5eaec;
    width: 100%;
  }
  .main-slider .slick-track {
    margin: 0;
  }
  .main-slider__text {
    font-size: 24px;
    text-align: center;
    white-space: normal;
    width: 100%;
  }
  .main-slider__wrap {
    bottom: 80px;
    left: 50%;
    top: initial;
    width: 100%;
  }
  .main-slider .link-button {
    display: none;
  }
  .first-main-block__slider .custom-slick-white-circle-arrow {
    bottom: 10px;
  }
  .first-main-block__slider .custom-slick-white-circle-arrow--prev {
    left: 10px;
  }
  .first-main-block__slider .custom-slick-white-circle-arrow--next {
    right: 10px;
  }
  .custom-slick-white-circle-arrow {
    width: 32px;
    height: 32px;
  }
  .custom-slick-white-circle-arrow svg {
    height: 16px;
    transform: translate3d(-2px, -2px, 0);
  }
  .custom-slick-white-circle-arrow--next svg {
    height: 16px;
    transform: translate3d(1px, -2px, 0) rotate(180deg);
  }
}
/* custom slider dots for main slick slider */
.custom-dots{
  transform: translateY(-60px);
  /*max-width: 320px;*/
  height: 26px;
  overflow: hidden;
  margin: 0 auto;
  transition: opacity 0.175s ease-in-out;
}
.custom-dots .custom-dots__wrapper .slick-dots{
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 15.7px;
  position: static;
  height: 26px;
}
.custom-dots .custom-dots__wrapper .slick-dots.slick-dots--flex-start{
  justify-content: flex-start;
}
.custom-dots .custom-dots__wrapper .slick-dots li {
  height: 20px;
  width: 20px;
  list-style: none;
  border-radius: 50%;
  flex-shrink: 0;
  scroll-snap-align: start;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 3px solid transparent;
  background: rgba(0, 0, 0, 0.15);
  transition: background-color 0.175s ease-in;
}
.dots__wrapper::-webkit-scrollbar {
  display: none;
}
.custom-dots__wrapper {
  overflow-x: auto;
  overflow-y: hidden;
  /*max-width: 235px;*/
  width: 100%;
  scrollbar-width: none;
  scroll-behavior: smooth;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  scroll-snap-type: x mandatory;
}

.custom-dots{
  position: relative;
}
.custom-dots__arrows{
  height: 25px;
  position: absolute;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  z-index: -1;
  padding: 0 10px;
}
.custom-dots .custom-dots__wrapper .slick-dots li.slick-active {
  background-color: #B12435;
  border: 3px solid #ffffff57;
}
.custom-dots .custom-dots__wrapper .slick-dots li.slick-active .custom-dots__pointer{
  background-color: #B12435;

}
.custom-dots__arrow.custom-dots__arrow--hide{
  visibility: hidden;
  opacity: 0;
}
.custom-dots__pointer {
  height: 8px;
  width: 8px;
  display: block;
  background: #fff;
  border-radius: 50%;
}
.custom-dots__arrow {
  border: none;
  background: none;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  height: 26px;
  width: 25px;
}
.custom-dots__arrow.custom-dots__arrow--left{
  background-image: url('../img/dots-arrow.svg');
}
.custom-dots__arrow.custom-dots__arrow--right{
  background-image: url('../img/dots-arrow.svg');
  transform: rotateY(180deg);
}

@media (max-width: 576px){
  .custom-dots {
    transform: translateY(-37px);
  }
}
